#include "cObject.hpp"

#include "../cGUI.hpp"

using GUIHelpers::cObject;

cObject::cObject( const signed int id )
	: m_id(id)
{
	//GUIEngine::cGUI::Inst().AddObject(this);
}

/*virtual*/ cObject::~cObject()
{}

bool cObject::operator == (const cObject& other)
{
	if (m_id == other.getID())
		return true;
	else
		return false;
}

///Functions

///Sets
const void cObject::setID( const signed int id )
{
	m_id = id;
}

///Gets
const signed int cObject::getID() const
{
	return m_id;
}

/*virtual*/ const GUIHelpers::eType cObject::getType() const
{
	return GUIHelpers::eType::COBJECT;
}